Module mdlCommon

    ' constants:
    Public c_MaxTrials As Integer = 500 ' per particip
    Public c_MaxStim = 50 ' per sequence
    Public c_MaxSeq = 3 ' per trial
    Public c_MaxJudg = 3 ' per trial

    ' common variables:
    Public strExpIDstem, strPrmFileName, strInstFileName As String
    Public strStimFileName, strLine, strStim, strStimColor, strSeqNum, _
        strRespFileName, strStimSeqLine As String
    Public intNumTrials, intBlockSize, intFrontFixed, intEndFixed, _
        intTrialCount, intBlockTrialCount, intStimCount, _
        intFontSize, intITI, intNumJudg, intSeqCount, _
        intNumSeq As Integer
    Public intTrialOrder(c_MaxTrials, 2) As Integer
    Public fntStimFont As Font

    ' sequence parameter arrays:
    Public intPreSeqIntvl(c_MaxSeq), intFixIntvl(c_MaxSeq), intPostFixIntvl(c_MaxSeq), _
        intStimIntvl(c_MaxSeq), intISIntvl(c_MaxSeq), intRtStim(c_MaxSeq), _
        intPostSeqIntvl(c_MaxSeq), intSelfPaced(c_MaxSeq) As Integer

    ' Stimulus Set arrays:
    Public strIdentifiers(c_MaxTrials) As String
    Public strStimSeq(c_MaxTrials, c_MaxSeq, c_MaxStim) As String
    Public strLastStim(c_MaxTrials, c_MaxSeq) As String
    Public intLastStim(c_MaxTrials, c_MaxSeq) As Integer
    Public intStimColor(c_MaxTrials, c_MaxSeq, c_MaxStim) As Integer
    Public intSeqEEGStart(c_MaxTrials), intStimEEGStart(c_MaxTrials) As Integer
    Public intSeqRtStart(c_MaxTrials), intStimRtStart(c_MaxTrials) As Integer
    Public intRandNum As New Random

End Module
